Ask Your Question
0

Release hokuyo_node for kinetic on PR2 ?

asked 2019-01-29 10:32:01 -0600

mherrb gravatar image

Hi,

the hokuyon_node page on the ROS wiki says :

"Looking for a newer driver? urg_node is fully REP-138 compliant AND compatible with Ethernet/MultiEcho Hokuyos! Hokuyo_node will remain maintained for current users and PR2s. "

It seems that all packages needed to run a PR2 under Ubuntu 16.04/ROS kinetic have been released, except for the hokuyo_node package.

Is urg_node compatible with hokuyo_node from the msgs point of vue or have all the PR2 stacks in kinetic been updated to use urg_node ?

Otherwise we'll need a ros-kinetic-hokuyo-node package please.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2019-01-29 10:53:58 -0600

ahendrix gravatar image

The PR2 packages for Kinetic have been updated to use urg_node ; see https://github.com/PR2/pr2_robot/pull... and https://github.com/PR2/pr2_robot/comm... .

The pr2_robot wiki page even shows that it has been released for Kinetic: http://wiki.ros.org/pr2_robot?distro=... (I'm not sure if all of the other PR2 packages have been released or not)

edit flag offensive delete link more

Comments

Thank you. I just missed the need to update /etc/udev/rules.d/73-pr-aliases.rules to run urg_node instead of hokuyo_node there. But this is because I'm maintaining my own fork of the pr2-udev package.

mherrb gravatar image mherrb  ( 2019-01-30 11:27:37 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2019-01-29 10:32:01 -0600

Seen: 70 times

Last updated: Jan 29 '19